Subject: Compilation Problem. Still stucked

From: "Πέτρος Τσέλιος" <[email-masked]>
Date: Thu, 24 Jun 1999 13:16:04 +0300

Here are the messages that I receive when I try to compile the "Calc" example. Any ideas about the problem?

The "autoexec.bat" file has all the appropriate "set" commands. (Those that I read from the SWI readme as well as the sets from the VC 5 message after the installation. 

command line:plld -v calc calc.cpp calc.pl
------------------------------------------Messages-----------------------------------------------
LINK : fatal error LNK1181: cannot open input file "calc.obj"
 eval `plcon.exe -dump-runtime-variables`
  CC="cl"
  PLBASE="c:/langs/pl"
  PLARCH="i386-win32"
  PLLIBS=""
  PLLDFLAGS=""
 c++ -c -D__SWI_PROLOG__ -D__SWI_EMBEDDED__ -Ic:/langs/pl/include -o calc.obj calc.cpp
 LIB=c:\langs\pl\lib;C:\Langs\DevStudio\VC\LIB;C:\Langs\DevStudio\VC\MFC\LIB;;\VC\LIB;\VC\MFC\LIB;c:\langs\pl\lib
 link.exe /out:ctmp--1912473  /nologo calc.obj libpl.lib
 plcon.exe -f none -F none -g true -t "consult(['calc.pl']),qsave_program('pltmp--1912473',[goal='\$welcome',toplevel=prolog,initfile=none])"
 copy /b ctmp--1912473+pltmp--1912473 plout.exe
 rm -f calc.obj
 rm -f ctmp--1912473
 rm -f ctmp--1912473.exp
 rm -f ctmp--1912473.lib
 rm -f pltmp--1912473

Peter Tselios